%define url_ver %(echo %{version} | cut -d. -f1,2)

#don't provide plugin .so
%define _exclude_files_from_autoprov    %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	Volume control for the Xfce
Name:		xfce4-mixer
Version:	4.10.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/apps/xfce4-mixer/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-0.10)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(keybinder) >= 0.2.2
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
BuildRequires:	pkgconfig(libxfce4panel-1.0)
BuildRequires:	pkgconfig(unique-1.0) >= 1.1
Requires:	xfce4-panel >= 4.10.0
Suggests:	task-pulseaudio
Suggests:	gstreamer0.10-pulse

%description
The Mixer is a volume control application for the Xfce Desktop Environment.
It provides both a volume control plugin for the Xfce Panel and a standalone 
mixer application.

It supports all audio systems supported by the GStreamer project.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog AUTHORS NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/xfce4/panel/plugins/mixer.desktop
%{_libdir}/xfce4/panel/plugins/libmixer.so
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}/
%{_mandir}/man1/%{name}.1.*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 4.10.0-2.mga3
+ Revision: 386838
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 wally <wally> 4.10.0-1.mga3
+ Revision: 304427
- new version 4.10.0

* Thu Sep 27 2012 wally <wally> 4.9.0-1.mga3
+ Revision: 298798
- new version 4.9.0
- enable optional keybinder support
- exclude plugin .so from provides

* Mon May 28 2012 wally <wally> 4.8.0-3.mga3
+ Revision: 248686
- rebuild for new libxfce4util
- clean .spec

* Tue Jan 03 2012 wally <wally> 4.8.0-2.mga2
+ Revision: 190063
- rebuild for new xfce4-panel

* Wed Apr 13 2011 ahmad <ahmad> 4.8.0-1.mga1
+ Revision: 84475
- update to 4.8.0
- drop patch0, fixed upstream
- replace libxfcegui4-devel with libxfce4ui-devel
- bump some BR versions

* Thu Feb 17 2011 ahmad <ahmad> 4.6.1-7.mga1
+ Revision: 53077
- drop old/unneeded scriptlets, and drop the buildroot tag
- drop BR perl(XML::Parser), already pulled in chroots AFAICS
- imported package xfce4-mixer

